<template>
  <div>
    <input type="text" placeholder="Hero Name" v-model="heroName">
    <input type="text" placeholder="First Name" v-model="firstName">
    <input type="text" placeholder="Last Name" v-model="lastName">

    <p>{{firstName}} {{lastName}} {{heroName}}</p>
  </div>
</template>

<script>
import { ref, reactive, toRefs} from 'vue';
export default {
setup(){
    const heroName = ref('')
    const state = reactive({
        firstName: '',
        lastName: '',
    })

    return{
        heroName,
        ...toRefs(state),

    }
}
}
</script>

<style>

</style>